## libpcap 1.9.1

=== rpcapd/CMakeLists.txt ===
if(UNIX)
  check_function_exists(crypt HAVE_CRYPT_IN_SYSTEM_LIBRARIES)
  if(HAVE_CRYPT_IN_SYSTEM_LIBRARIES)
    set(HAVE_CRYPT TRUE)
  else(HAVE_CRYPT_IN_SYSTEM_LIBRARIES)
    check_library_exists(crypt crypt "" HAVE_CRYPT_IN_LIBCRYPT)
    if(HAVE_CRYPT_IN_LIBCRYPT)
      set(RPCAPD_LINK_LIBRARIES ${RPCAPD_LINK_LIBRARIES} crypt)
      set(HAVE_CRYPT TRUE)
    else(HAVE_CRYPT_IN_LIBCRYPT)
      message(WARNING "crypt() not found. Won't be able to build rpcapd.")
    endif(HAVE_CRYPT_IN_LIBCRYPT)
  endif(HAVE_CRYPT_IN_SYSTEM_LIBRARIES)
endif(UNIX)

#
# On UN*X, we need pthreads and crypt().
#
if(WIN32 OR ((CMAKE_USE_PTHREADS_INIT OR PTHREADS_FOUND) AND HAVE_CRYPT))
  if(UNIX)
    #
    # Do we have getspnam()?
    #
    check_function_exists(getspnam HAVE_GETSPNAM)

    #
    # Find library needed for getaddrinfo.
    # NOTE: if you hand check_library_exists as its last argument a variable
    # that's been set, it skips the test, so we need different variables.
    #
    include(CheckLibraryExists)
    check_function_exists(getaddrinfo STDLIBS_HAVE_GETADDRINFO)
    if(NOT STDLIBS_HAVE_GETADDRINFO)
      check_library_exists(xnet getaddrinfo "" LIBXNET_HAS_GETADDRINFO)
      if(LIBXNET_HAS_GETADDRINFO)
        set(RPCAPD_LINK_LIBRARIES ${RPCAPD_LINK_LIBRARIES} xnet)
      else(LIBXNET_HAS_GETADDRINFO)
        include(CMakePushCheckState)
        cmake_push_check_state()
        set(CMAKE_REQUIRED_LIBRARIES nsl)
        check_library_exists(socket getaddrinfo "" LIBSOCKET_HAS_GETADDRINFO)
        cmake_pop_check_state()
        if(LIBSOCKET_HAS_GETADDRINFO)
          set(RPCAPD_LINK_LIBRARIES ${RPCAPD_LINK_LIBRARIES} socket nsl)
        endif(LIBSOCKET_HAS_GETADDRINFO)
      endif(LIBXNET_HAS_GETADDRINFO)
    endif(NOT STDLIBS_HAVE_GETADDRINFO)
  endif(UNIX)

  if(WIN32)
    set(RPCAPD_EXTRA_SOURCES
        win32-svc.c
        ${pcap_SOURCE_DIR}/missing/getopt.c
        ${pcap_SOURCE_DIR}/missing/win_snprintf.c
        rpcapd.rc)
    include_directories(${pcap_SOURCE_DIR}/rpcapd ${pcap_SOURCE_DIR}/missing)
  endif(WIN32)

  add_executable(rpcapd
    daemon.c
    fileconf.c
    log.c
    rpcapd.c
    ${pcap_SOURCE_DIR}/rpcap-protocol.c
    ${pcap_SOURCE_DIR}/sockutils.c
    ${pcap_SOURCE_DIR}/fmtutils.c
    ${RPCAPD_EXTRA_SOURCES}
  )

  if(NOT C_ADDITIONAL_FLAGS STREQUAL "")
    set_target_properties(rpcapd PROPERTIES COMPILE_FLAGS ${C_ADDITIONAL_FLAGS})
  endif()

  #
  # By default, build rpcapd universal with the appropriate set of
  # architectures for the OS on which we're doing the build.
  #
  if(APPLE AND "${CMAKE_OSX_ARCHITECTURES}" STREQUAL "")
    #
    # Get the major version of Darwin.
    #
    string(REGEX MATCH "^([0-9]+)" SYSTEM_VERSION_MAJOR "${CMAKE_SYSTEM_VERSION}")

    if(SYSTEM_VERSION_MAJOR EQUAL 9)
      #
      # Leopard.  Build for 32-bit x86 and 32-bit PowerPC, with
      # 32-bit x86 first.
      #
      set(OSX_PROGRAM_ARCHITECTURES "i386;ppc")
    elseif(SYSTEM_VERSION_MAJOR EQUAL 10)
      #
      # Snow Leopard.  Build for x86-64 and 32-bit x86, with
      # x86-64 first.
      #
      set(OSX_PROGRAM_ARCHITECTURES "x86_64;i386")
    else()
      #
      # Post-Snow Leopard.  Build only for x86-64.
      # XXX - update if and when Apple adds ARM-based Macs.
      # (You're on your own for iOS etc.)
      #
      set(OSX_PROGRAM_ARCHITECTURES "x86_64")
    endif()

    set_target_properties(rpcapd PROPERTIES
      OSX_ARCHITECTURES "${OSX_PROGRAM_ARCHITECTURES}")
  endif()

  if(WIN32)
    target_link_libraries(rpcapd ${LIBRARY_NAME}
      ${RPCAPD_LINK_LIBRARIES} ${PCAP_LINK_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
  else(WIN32)
    target_link_libraries(rpcapd ${LIBRARY_NAME}_static
      ${RPCAPD_LINK_LIBRARIES} ${PCAP_LINK_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
  endif(WIN32)

  ######################################
  # Install rpcap daemon and man pages
  ######################################

  #
  # "Define GNU standard installation directories", which actually
  # are also defined, to some degree, by autotools, and at least
  # some of which are general UN*X conventions.
  #
  include(GNUInstallDirs)

  set(MANADMIN_EXPAND rpcapd.manadmin.in)

  set(MANFILE_EXPAND rpcapd-config.manfile.in)

  if(MSVC AND CMAKE_SIZEOF_VOID_P EQUAL 8)
    install(TARGETS rpcapd DESTINATION bin/amd64)
  else(MSVC AND CMAKE_SIZEOF_VOID_P EQUAL 8)
    install(TARGETS rpcapd DESTINATION bin)
  endif(MSVC AND CMAKE_SIZEOF_VOID_P EQUAL 8)

  # On UN*X, and on Windows when not using MSVC, generate process man
  # pages and arrange that they be installed.
  if(NOT MSVC)
    #
    # Man pages.
    #
    # For each section of the manual for which we have man pages
    # that require macro expansion, do the expansion.
    #
    set(MANADMIN "")
    foreach(TEMPLATE_MANPAGE ${MANADMIN_EXPAND})
        string(REPLACE ".manadmin.in" ".${MAN_ADMIN_COMMANDS}" MANPAGE ${TEMPLATE_MANPAGE})
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${TEMPLATE_MANPAGE} ${CMAKE_CURRENT_BINARY_DIR}/${MANPAGE} @ONLY)
        set(MANADMIN ${MANADMIN} ${CMAKE_CURRENT_BINARY_DIR}/${MANPAGE})
    endforeach(TEMPLATE_MANPAGE)
    install(FILES ${MANADMIN} DESTINATION ${CMAKE_INSTALL_MANDIR}/man${MAN_ADMIN_COMMANDS})

    set(MANFILE "")
    foreach(TEMPLATE_MANPAGE ${MANFILE_EXPAND})
        string(REPLACE ".manfile.in" ".${MAN_FILE_FORMATS}" MANPAGE ${TEMPLATE_MANPAGE})
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${TEMPLATE_MANPAGE} ${CMAKE_CURRENT_BINARY_DIR}/${MANPAGE} @ONLY)
        set(MANFILE ${MANFILE} ${CMAKE_CURRENT_BINARY_DIR}/${MANPAGE})
    endforeach(TEMPLATE_MANPAGE)
    install(FILES ${MANFILE} DESTINATION ${CMAKE_INSTALL_MANDIR}/man${MAN_FILE_FORMATS})
  endif(NOT MSVC)
endif(WIN32 OR ((CMAKE_USE_PTHREADS_INIT OR PTHREADS_FOUND) AND HAVE_CRYPT))

## libpcap 1.0.0

=== debian/changelog ===
libpcap (1.0.0-6) unstable; urgency=low

  * debian/patches/50_kfreebsd.diff: Disable zerocopy BPF detection
    (it's supported in FreeBSD 8.0+ only).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 12 Dec 2009 18:03:47 +0100

libpcap (1.0.0-5) unstable; urgency=low

  * Switch to 3.0 (quilt) source format:
    + Drop build-depends on quilt.
    + Remove patch/unpatch logic from debian/rules.
    + Remove README.source.
    + Refresh all patches (and add missing headers).
  * Use dh(1):
    + debian/compat: Bump to 7.
    + debian/control: Build-depend on debhelper (>= 7.0.50~).
    + debian/rules: Simplify.
    + debian/libpcap0.8.dirs: Removed.
    + debian/patches/10_install.diff: New patch, create $(bindir) before
      installing files in it.
  * debian/watch: New file.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 29 Nov 2009 14:25:39 +0100

libpcap (1.0.0-4) unstable; urgency=low

  * debian/patches/40_fix_bus_usb_path.diff: New patch from Ubuntu
    changing the usb bus path from /proc/bus/usb to /dev/bus/usb, thanks
    to Andy Matteson <xt.knight@gmail.com> (LP: #408478).
  * debian/patches/series: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 07 Sep 2009 20:18:58 +0200

libpcap (1.0.0-3) unstable; urgency=low

  [ Romain Francoise ]
  * debian/patches/15_linker_script.diff: New patch; don't export private
    symbols and leave only the public interface.  Based on patch by Marco
    d'Itri.
  * debian/patches/series: Update.
  * debian/libpcap0.8.symbols: New file, adding symbols (closes: #543167).
    Based on patch by Marco d'Itri.
  * debian/libpcap0.8.shlibs: Removed.
  * debian/control: Set Standards-Version to 3.8.3.
  * debian/control: Add missing dependencies on ${misc:Depends}.

  [ Marco d'Itri ]
  * debian/rules: Preserve $CFLAGS set by dpkg-buildpackage.
  * debian/README.Debian: Do not mention /etc/modules.conf, which is long
    gone.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Sep 2009 14:19:40 +0200

libpcap (1.0.0-2) unstable; urgency=low

  * debian/rules: Move pcap-filter(7) man page to libpcap0.8 from
    libpcap0.8-dev (see #527599).
  * debian/control:
    + Make libpcap0.8 replace libpcap0.8-dev (<< 1.0.0-2) for the
      aforementioned change.
    + Add explicit build-depends on linux-libc-dev (>= 2.6.27) on i386 to
      make sure that tpacket_v2 support gets compiled in (closes: #517098).
    + Move libpcap0.8-dbg to 'debug' to follow override.
    + Set Standards-Version to 3.8.1.
  * debian/patches/20-fix-rename-usbmon.diff: New patch cherry-picked from
    upstream; renames USB capture pseudo-interfaces to 'usbmonN' to avoid
    collision with 'usbN' USB network cards (closes: #516089).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 16 Jun 2009 14:59:24 +0200

libpcap (1.0.0-1) unstable; urgency=low

  * Upload to unstable.
  * debian/libpcap0.8.shlibs: Bump to >= 1.0.0-1 (no real changes, just
    cosmetics).
  * debian/patches/20-fix-any-intf.diff: New patch cherry-picked from
    upstream; fixes handling of the 'any' device.
  * debian/patches/series: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 16 Feb 2009 19:24:03 +0100

libpcap (1.0.0-1~exp1) experimental; urgency=low

  * New upstream release (closes: #507019).
    + No changes to existing API, only additions.
    + One of the members of struct bpf_insn (the constant) changed from
      signed to unsigned but this does not break the ABI as users always
      convert it to unsigned anyway (see pcap-bpf.h r1.39 in upstream CVS).
  * debian/libpcap0.8.shlibs: Bump dependency to >= 1.0.0-1~exp1 for API
    additions.
  * debian/rules: Don't remove 'net' in clean target.
  * debian/libpcap0.8-dev.dirs: Add usr/bin.
  * debian/patches/20_mac_syntax.diff: Dropped.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 30 Nov 2008 20:31:52 +0100

libpcap (0.9.8-5) unstable; urgency=low

  * debian/rules: Fix targets to avoid building libpcap-dev in
    binary-arch (doh!).
  * debian/control: Set Standards-Version to 3.8.0.
  * debian/README.source: New file.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 Jun 2008 11:58:04 +0200

libpcap (0.9.8-4) unstable; urgency=low

  * Now that the transition is over, rename this source package from
    'libpcap0.8' to 'libpcap'.
  * debian/control: Rename source, adjust Vcs-* fields.
  * debian/rules: Various cleanups.
  * debian/libpcap0.8.post{inst,rm}: Deleted.
  * debian/patches/10_shared_lib.diff: Deal with source name change.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 07 Jun 2008 12:33:47 +0200

libpcap0.8 (0.9.8-3) unstable; urgency=low

  * debian/copyright:
    + Convert to UTF-8 encoding.
    + Add the actual copyright notice.
  * debian/control:
    + Add a new binary package: libpcap0.8-dbg.
    + Change section and priority for libpcap-dev.
    + Tweak short descriptions.
    + Set Standards-Version to 3.7.3.
  * debian/rules:
    + Install debugging symbols in libpcap0.8-dbg.
    + Add -g to default CFLAGS.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 08 Mar 2008 18:53:59 +0100

libpcap0.8 (0.9.8-2) unstable; urgency=low

  * debian/control: Add Vcs-Browser and Vcs-Git fields.
  * debian/patches/50_kfreebsd.diff: Update with new patch by Petr
    Salinger fixing FTBFS on Debian GNU/kFreeBSD (closes: #448694).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 05 Nov 2007 18:32:28 +0100

libpcap0.8 (0.9.8-1) unstable; urgency=low

  * New upstream release: no API changes, no ABI changes.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 28 Sep 2007 18:11:12 +0200

libpcap0.8 (0.9.7-2) unstable; urgency=low

  * debian/control: Move upstream URL to the Homepage field.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 22 Sep 2007 19:11:55 +0200

libpcap0.8 (0.9.7-1) unstable; urgency=low

  * New upstream release (closes: #432645, #433420).
  * debian/patches/50_autotools-dev.diff: New patch, make config.{guess,sub}


=== debian/control ===
Source: libpcap
Section: devel
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               flex,
               bison,
               perl,
               autotools-dev,
               linux-libc-dev (>= 2.6.27) [i386]
Standards-Version: 3.8.3
Homepage: http://www.tcpdump.org/
Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/libpcap.git
Vcs-Git: git://git.debian.org/git/users/rfrancoise/libpcap.git

Package: libpcap-dev
Section: libdevel
Architecture: all
Depends: libpcap0.8-dev, ${misc:Depends}
Description: development library for libpcap (transitional package)
 Empty package to facilitate upgrades, can be safely removed.

Package: libpcap0.8-dev
Section: libdevel
Architecture: any
Depends: libpcap0.8 (= ${binary:Version}), ${misc:Depends}, libc6-dev
Conflicts: libpcap-dev (<< 0.9), libpcap0.7-dev
Description: development library and header files for libpcap0.8
 Headers, static libraries, and documentation for the libpcap library.
 .
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics
 collection, security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for
 packet capture, and since there are several tools that require this
 functionality, we've created this system-independent API to ease in
 porting and to alleviate the need for several system-dependent packet
 capture modules in each application.

Package: libpcap0.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libpcap0.8-dev (<< 1.0.0-2)
Description: system interface for user-level packet capture
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics collection,
 security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for
 packet capture, and since there are several tools that require this
 functionality, we've created this system-independent API to ease in
 porting and to alleviate the need for several system-dependent packet
 capture modules in each application.

Package: libpcap0.8-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libpcap0.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: debugging symbols for libpcap0.8
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics collection,
 security monitoring, network debugging, etc.
 .
 This package contains the debugging symbols for the libpcap library.

## libpcap 1.0.0-1

=== debian/control ===
Source: libpcap
Priority: extra
Maintainer: Felipe Zimmerle <felipe@zimmerle.org>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2
Section: libs

Package: libpcap-dev
Section: libdevel
Architecture: any
Depends: libpcap1 (= ${Source-Version})
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: libpcap1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	mkdir -p $(CURDIR)/debian/usr/bin
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libpcap 1.1.1

=== debian/changelog ===
libpcap (1.1.1-2+squeeze1) stable; urgency=low

  * Backport changes from upstream to fix corruption of snapshot length on
    live captures (CVE-2011-1935) (closes: #623868).
  * Backport fix from upstream to fix device detection when the bonding
    module is loaded (closes: #612803).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Jul 2011 19:26:04 +0200

libpcap (1.1.1-2) unstable; urgency=low

  * debian/patches/50_kfreebsd.diff: Fix configure script to properly
    detect shared lib support on kfreebsd again.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 06 Apr 2010 21:38:44 +0200

libpcap (1.1.1-1) unstable; urgency=low

  * New upstream release (closes: #576002):
    + No changes to existing API/ABI; no new symbols.
    + Uses the new path to usbmon in /sys (closes: #570455).
    + Updates USB packet header definition (closes: #571028).
    + pcap_loop() handles device removal gracefully again
      (closes: #520393).
    + pcap-config no longer outputs an extra space after -L
      (closes: #567570).
  * debian/patches/10_install.diff: Dropped, merged upstream.
  * debian/patches/20-fix-any-intf.diff: Ditto.
  * debian/patches/20-fix-rename-usbmon.diff: Ditto.
  * debian/control: Set Standards-Version to 3.8.4.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 06 Apr 2010 19:15:26 +0200

=== debian/control ===
Source: libpcap
Section: devel
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               flex,
               bison,
               perl,
               autotools-dev,
               linux-libc-dev (>= 2.6.27) [i386]
Standards-Version: 3.8.4
Homepage: http://www.tcpdump.org/
Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/libpcap.git
Vcs-Git: git://git.debian.org/git/users/rfrancoise/libpcap.git

Package: libpcap-dev
Section: libdevel
Architecture: all
Depends: libpcap0.8-dev, ${misc:Depends}
Description: development library for libpcap (transitional package)
 Empty package to facilitate upgrades, can be safely removed.

Package: libpcap0.8-dev
Section: libdevel
Architecture: any
Depends: libpcap0.8 (= ${binary:Version}), ${misc:Depends}, libc6-dev
Conflicts: libpcap-dev (<< 0.9), libpcap0.7-dev
Description: development library and header files for libpcap0.8
 Headers, static libraries, and documentation for the libpcap library.
 .
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics
 collection, security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for
 packet capture, and since there are several tools that require this
 functionality, we've created this system-independent API to ease in
 porting and to alleviate the need for several system-dependent packet
 capture modules in each application.

Package: libpcap0.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libpcap0.8-dev (<< 1.0.0-2)
Description: system interface for user-level packet capture
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics collection,
 security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for
 packet capture, and since there are several tools that require this
 functionality, we've created this system-independent API to ease in
 porting and to alleviate the need for several system-dependent packet
 capture modules in each application.

Package: libpcap0.8-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libpcap0.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: debugging symbols for libpcap0.8
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics collection,
 security monitoring, network debugging, etc.
 .
 This package contains the debugging symbols for the libpcap library.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS += -D_FILE_OFFSET_BITS=64

%:
	dh $@

override_dh_install:
	dh_install --fail-missing
	# pcap-filter man page goes into libpcap0.8 (#527599)
	rm debian/libpcap0.8-dev/usr/share/man/man7/pcap-filter.7

override_dh_strip:
	dh_strip --dbg-package=libpcap0.8-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## libpcap 1.2.1

=== debian/changelog ===
libpcap (1.2.1-1) unstable; urgency=low

  * New upstream version. API additions: pcap_set_tstamp_type(),
    pcap_{list,free}_tstamp_types(), pcap_tstamp_type_name_to_val(),
    pcap_tstamp_type_val_to_{description,name}().

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 04 Jan 2012 20:46:49 +0100

libpcap (1.1.1-10) unstable; urgency=low

  * Cherry-pick commit 93583909e1 from upstream to fix detection of VLAN
    acceleration support in the configure script (LP: #838952).

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 03 Nov 2011 19:29:58 +0100

libpcap (1.1.1-9) unstable; urgency=low

  * debian/rules: Stop setting CFLAGS; it's no longer useful
    (closes: #647300).
  * Override 'package-needs-versioned-debhelper-build-depends'.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 02 Nov 2011 20:30:02 +0100

libpcap (1.1.1-8) unstable; urgency=low

  * Backport additional changes from upstream to make the fix for
    CVE-2011-1935 work on kernels without support for PACKET_RESERVE
    (closes: #625443).
  * Retroactively mention CVE id in 1.1.1-4 changelog entry.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Jul 2011 18:47:31 +0200

libpcap (1.1.1-7) unstable; urgency=low

  * Build for multiarch:
    + Set debhelper compat level to 9, bump build-depends.
    + Set Multi-Arch: same on libpcap0.8 and add required Pre-Depends.
    + Adjust install paths.
  * debian/patches/10_shared_lib.diff: Prevent 'pcap-config --libs' from
    adding an rpath now that libdir != /usr/lib.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 28 Jun 2011 20:14:43 +0200

libpcap (1.1.1-6) unstable; urgency=low

  * debian/patches/47_ip6_protochain.patch: New patch; fixes a crash in
    the BPF interpreter with "ip6 protochain" on 64-bit platforms
    (closes: #627342).
  * debian/control: Avoid "we" in long description (closes: #623607).
  * debian/control: Set Standards-Version to 3.9.2.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 23 May 2011 19:13:27 +0200

libpcap (1.1.1-5) unstable; urgency=low

  * Fix build issue on kfreebsd which causes FTBFS in applications,
    introduced in 1.1.1-4. Thanks to Jakub Wilk <jwilk@debian.org> for the
    patch (closes: #626232).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 10 May 2011 21:10:53 +0200

libpcap (1.1.1-4) unstable; urgency=low

  [ Romain Francoise ]
  * Cherry-pick commit 073a8b37f9 from upstream to fix device detection
    when the bonding module is loaded (closes: #612803).
  * debian/patches/50_kfreebsd.diff: Enable zerocopy BPF again.

  [ Robert S. Edmonds ]
  * Backport commit ea9432fabd from upstream to fix corruption of snapshot
    length on live captures (CVE-2011-1935) (closes: #623868).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 30 Apr 2011 12:30:27 +0200

libpcap (1.1.1-3) unstable; urgency=low

  * Make the configure script recognize GNU/Hurd; patch from Svante Signell
    (closes: #612834).
  * debian/control: Set Standards-Version to 3.9.1.
  * debian/patches/30_man_fixes.diff: Fix a few typos in man pages
    detected by lintian.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Apr 2011 20:39:37 +0200

## libpcap 1.3.0

=== debian/changelog ===
libpcap (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 13 Jun 2012 23:16:16 +0200

libpcap (1.2.1-3) unstable; urgency=low

  * Use dh-autoreconf.
  * Add CPPFLAGS to CFLAGS to avoid losing fortify hardening flags
    (closes: #674493).
  * Make sure we use LDFLAGS while linking the shared library to avoid
    losing the relro hardening flag.
  * Rename linker script to avoid unpatch failure.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 26 May 2012 15:53:07 +0200

libpcap (1.2.1-2) unstable; urgency=low

  * Cherry-pick commit d55b6f4f1b from upstream to make absence of
    Netfilter support in the kernel non-fatal (closes: #672337).
  * debian/control: Set Standards-Version to 3.9.3.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 10 May 2012 20:37:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8.1.3),
+               dh-autoreconf,
                flex,
                bison,
                perl,
                autotools-dev,
                linux-libc-dev (>= 2.6.27) [i386]
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/libpcap.git
 Vcs-Git: git://git.debian.org/git/users/rfrancoise/libpcap.git
@@ -34,15 +35,17 @@
  .
  Since almost every system vendor provides a different interface for
  packet capture, and since there are several tools that require this
- functionality, we've created this system-independent API to ease in
- porting and to alleviate the need for several system-dependent packet
- capture modules in each application.
+ functionality, the libpcap authors created this system-independent API
+ to ease in porting and to alleviate the need for several
+ system-dependent packet capture modules in each application.
 
 Package: libpcap0.8
 Section: libs
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libpcap0.8-dev (<< 1.0.0-2)
+Multi-Arch: same
 Description: system interface for user-level packet capture
  libpcap (Packet CAPture) provides a portable framework for low-level
  network monitoring.  Applications include network statistics collection,
@@ -50,9 +53,9 @@
  .
  Since almost every system vendor provides a different interface for
  packet capture, and since there are several tools that require this
- functionality, we've created this system-independent API to ease in
- porting and to alleviate the need for several system-dependent packet
- capture modules in each application.
+ functionality, the libpcap authors created this system-independent API
+ to ease in porting and to alleviate the need for several
+ system-dependent packet capture modules in each application.
 
 Package: libpcap0.8-dbg
 Section: debug

## libpcap 1.4.0

=== debian/changelog ===
libpcap (1.4.0-2) unstable; urgency=low

  * Fix FTBFS on hurd-i386 due to pcap_findalldevs() refactoring.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 15 Jun 2013 12:32:23 +0200

libpcap (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Make debug package Multi-Arch: same.
  * Use canonical locations in Vcs-* fields.
  * Set Standards-Version to 3.9.4.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 26 May 2013 18:21:24 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                perl,
                autotools-dev,
                linux-libc-dev (>= 2.6.27) [i386]
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.tcpdump.org/
-Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/libpcap.git
-Vcs-Git: git://git.debian.org/git/users/rfrancoise/libpcap.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/libpcap.git
+Vcs-Git: git://anonscm.debian.org/users/rfrancoise/libpcap.git
 
 Package: libpcap-dev
 Section: libdevel
@@ -62,6 +62,7 @@
 Priority: extra
 Architecture: any
 Depends: libpcap0.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: debugging symbols for libpcap0.8
  libpcap (Packet CAPture) provides a portable framework for low-level
  network monitoring.  Applications include network statistics collection,

## libpcap 1.5.2

=== debian/changelog ===
libpcap (1.5.2-1) unstable; urgency=low

  * New upstream bugfix release, fixes initialization on kernels without
    TPACKET_V3.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 04 Dec 2013 13:56:39 +0100

libpcap (1.5.1-1) unstable; urgency=low

  * New upstream version, API additions: pcap_set_immediate_mode(),
    pcap_{get,set}_tstamp_precision(), pcap_open_dead_with_tstamp_precision(),
    pcap_{,f}open_offline_with_tstamp_precision().
  * debian/patches/50_hurd.diff: Dropped, merged upstream.
  * Set Standards-Version to 3.9.5.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Dec 2013 18:28:34 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                perl,
                autotools-dev,
                linux-libc-dev (>= 2.6.27) [i386]
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/libpcap.git
 Vcs-Git: git://anonscm.debian.org/users/rfrancoise/libpcap.git

## libpcap 1.5.3

=== debian/changelog ===
libpcap (1.5.3-2) unstable; urgency=low

  * Enable Bluetooth capture on Linux (closes: #737357).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 03 Feb 2014 22:03:51 +0100

libpcap (1.5.3-1) unstable; urgency=low

  * New upstream bugfix release, fixes more TPACKET_V3 issues
    (closes: #734455, #733747).

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 16 Jan 2014 18:54:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
                bison,
                perl,
                autotools-dev,
-               linux-libc-dev (>= 2.6.27) [i386]
+               linux-libc-dev (>= 2.6.27) [i386],
+               libbluetooth-dev [linux-any]
 Standards-Version: 3.9.5
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/libpcap.git

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
-export CFLAGS += -D_FILE_OFFSET_BITS=64
-
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_install:
 	dh_install --fail-missing

## libpcap 1.6.2

=== debian/changelog ===
libpcap (1.6.2-2) unstable; urgency=medium

  * Re-enable zerocopy BPF on kFreeBSD (closes: #764228).
  * Set Standards-Version to 3.9.6.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 11 Oct 2014 19:28:05 +0200

libpcap (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 04 Sep 2014 19:06:26 +0200

libpcap (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Amend configure test for new bt-monitor interface to make it fail properly
    when built with BlueZ 5.x, as it's apparently not compatible yet.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 30 Jul 2014 21:05:16 +0200

libpcap (1.5.3-4) unstable; urgency=high

  * Disable zerocopy BPF on kFreeBSD to work around broken atomic support,
    see #750836 (closes: #750805).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 14 Jun 2014 13:08:16 +0200

libpcap (1.5.3-3) unstable; urgency=medium

  * Add support for packet capture on GNU/Hurd (w/ netdde drivers), patch by
    Richard Braun <rbraun@sceen.net> (closes: #744198).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Jun 2014 20:07:04 +0200

## libpcap 1.7.4

=== debian/changelog ===
libpcap (1.7.4-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: pcapng reading buffer over-read.
    - debian/patches/CVE-2019-15165-1.patch: do sanity checks on PHB
      header length before allocating memory.
    - debian/patches/CVE-2019-15165-2.patch: fix introduced format
      warning
    - CVE-2019-15165

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 21 Nov 2019 17:55:35 -0800

libpcap (1.7.4-2) unstable; urgency=medium

  * Only override arch-dependent dh targets (closes: #806061).
  * Update versioned build-depends on debhelper accordingly.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 28 Nov 2015 18:54:26 +0100

libpcap (1.7.4-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 04 Jul 2015 23:15:11 +0200

libpcap (1.7.3-1) unstable; urgency=medium

  * New upstream release, API addition: pcap_dump_open_append().

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 24 May 2015 19:05:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libpcap
 Section: devel
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper (>= 8.1.3),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Build-Depends: debhelper (>= 8.9.7),
                dh-autoreconf,
                flex,
                bison,
@@ -10,7 +11,7 @@
                autotools-dev,
                linux-libc-dev (>= 2.6.27) [i386],
                libbluetooth-dev [linux-any]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/libpcap.git
 Vcs-Git: git://anonscm.debian.org/users/rfrancoise/libpcap.git

=== debian/watch ===
version=3
http://www.tcpdump.org release/libpcap-([\d\.]*).tar.gz

## libpcap 1.8.1

=== debian/changelog ===
libpcap (1.8.1-6ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/0001-Revert-Add-file-capture-length-sanity-check-for-pcap.patch:
      Revert an upstream commit - it makes dbus-test-runner's testsuite, which
      uses bustle, fail. I think it sets a SNAPLEN more than the maximum - which
      is not enforced - and fails a new check.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2018 16:14:52 +0100

libpcap (1.8.1-6) unstable; urgency=medium

  * debian/watch: add pgpsigurlmangle option.
  * Add upstream signing key in debian/upstream.
  * Make transitional package libpcap-dev 'Multi-Arch: same'.
  * Use new URLs on salsa.debian.org for Vcs-* fields.
  * Lintian cleanups:
    + Make libpcap0.8-dbg 'Priority: optional'.
    + Use /usr/share/dpkg/architecture.mk instead of setting DEB_HOST_ARCH_OS.
    + Bump Standards-Version to 4.1.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 31 Dec 2017 16:56:33 +0100

libpcap (1.8.1-5ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/0001-Revert-Add-file-capture-length-sanity-check-for-pcap.patch:
      Revert an upstream commit - it makes dbus-test-runner's testsuite, which
      uses bustle, fail. I think it sets a SNAPLEN more than the maximum - which
      is not enforced - and fails a new check.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Oct 2017 10:15:04 +0200

libpcap (1.8.1-5) unstable; urgency=medium

  * Remove unused RPATH handling from pcap-config: now that we no longer
    output the -L option in front, it causes --libs output to begin with a
    space, which displeases cmake (closes: #876123).
  * Make libpcap-dev arch:any to allow cross-building, as suggested by
    Helmut Grohne (closes: #820829).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 30 Sep 2017 17:46:37 +0200

libpcap (1.8.1-4ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/0001-Revert-Add-file-capture-length-sanity-check-for-pcap.patch:
      Revert an upstream commit - it makes dbus-test-runner's testsuite, which
      uses bustle, fail. I think it sets a SNAPLEN more than the maximum - which
      is not enforced - and fails a new check.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Sep 2017 22:10:53 +0200

libpcap (1.8.1-4) unstable; urgency=medium

  * Don't include arch-dependent paths in pcap-config --libs output.
  * Make libpcap0.8-dev Multi-Arch: same, with thanks to Francois Gouget
    (closes: #760370).
  * Set Standards-Version to 4.1.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 02 Sep 2017 17:57:04 +0200

libpcap (1.8.1-3ubuntu1) zesty; urgency=medium

  * debian/patches/0001-Revert-Add-file-capture-length-sanity-check-for-pcap.patch:
    Revert an upstream commit - it makes dbus-test-runner's testsuite, which
    uses bustle, fail. I think it sets a SNAPLEN more than the maximum - which
    is not enforced - and fails a new check.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 29 Nov 2016 14:12:29 +0000

libpcap (1.8.1-3) unstable; urgency=medium

  * Disable bits of remote capture support inherited from the WinPCAP
    merge which cause applications to FTBFS if they define HAVE_REMOTE
    (closes: #843384).
  * Fix warning in pcap-tstamp(7) pointed out by lintian.
  * Use cgit URL in Vcs-Browser.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Nov 2016 18:15:18 +0100

libpcap (1.8.1-2) unstable; urgency=medium

  * Update Debian-specific Hurd packet interface to use the new internal API,
    fixes FTBFS.
  * Include <sys/kern/time.h> in BPF packet interface to get access to
    `struct bintime' and friends on kFreeBSD, fixes FTBFS.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 30 Oct 2016 12:05:19 +0100

libpcap (1.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 29 Oct 2016 18:53:48 +0200

libpcap (1.7.4-3) unstable; urgency=medium

  * Drop unnecessary build-depends on perl (closes: #816187).
  * Hardcode packet interface type in debian/rules to make cross-building
    easier, patch by Samuel Thibault (closes: #816188).
  * Stop patching config.{guess,sub}, dh_update_autotool_config now
    handles that automatically for us.
  * Set Standards-Version to 3.9.8.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Sep 2016 12:07:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,37 @@
 Source: libpcap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper (>= 8.9.7),
+Maintainer: Romain Francoise <rfrancoise@debian.org>
+Build-Depends: autotools-dev,
+               bison,
+               debhelper (>= 8.9.7),
                dh-autoreconf,
                flex,
-               bison,
-               perl,
-               autotools-dev,
-               linux-libc-dev (>= 2.6.27) [i386],
-               libbluetooth-dev [linux-any]
-Standards-Version: 3.9.6
+               libbluetooth-dev [linux-any],
+               linux-libc-dev (>= 2.6.27) [i386]
+Standards-Version: 4.1.2
 Homepage: http://www.tcpdump.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/libpcap.git
-Vcs-Git: git://anonscm.debian.org/users/rfrancoise/libpcap.git
+Vcs-Browser: https://salsa.debian.org/rfrancoise/libpcap
+Vcs-Git: https://salsa.debian.org/rfrancoise/libpcap.git
 
 Package: libpcap-dev
 Section: libdevel
-Architecture: all
-Depends: libpcap0.8-dev, ${misc:Depends}
+Architecture: any
+Depends: libpcap0.8-dev,
+         ${misc:Depends}
+Multi-Arch: same
 Description: development library for libpcap (transitional package)
  Empty package to facilitate upgrades, can be safely removed.
 
 Package: libpcap0.8-dev
 Section: libdevel
 Architecture: any
-Depends: libpcap0.8 (= ${binary:Version}), ${misc:Depends}, libc6-dev
-Conflicts: libpcap-dev (<< 0.9), libpcap0.7-dev
+Depends: libc6-dev,
+         libpcap0.8 (= ${binary:Version}),
+         ${misc:Depends}
+Conflicts: libpcap-dev (<< 0.9),
+           libpcap0.7-dev
+Multi-Arch: same
 Description: development library and header files for libpcap0.8
  Headers, static libraries, and documentation for the libpcap library.
  .
@@ -45,7 +49,8 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Replaces: libpcap0.8-dev (<< 1.0.0-2)
 Multi-Arch: same
 Description: system interface for user-level packet capture
@@ -61,9 +66,11 @@
 
 Package: libpcap0.8-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
-Depends: libpcap0.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libpcap0.8 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: debugging symbols for libpcap0.8
  libpcap (Packet CAPture) provides a portable framework for low-level

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" http://www.tcpdump.org release/libpcap-([\d\.]*).tar.gz

## libpcap 1.8.1.1

=== debian/changelog ===
libpcap (1.8.1.1-6+dde) unstable; urgency=low

  * ['Autobuild release-candidate: f5931327bdb526774bae7d9337f18aa01e0b05ef']

 -- shuttle <shuttle@deepin.com>  Tue, 01 Sep 2020 19:32:07 +0000

## libpcap 1.9.0

=== debian/changelog ===
libpcap (1.9.0-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Install upstream pkg-config file (closes: #922219).

  [ Romain Francoise ]
  * Bump Standards-Version to 4.4.0.
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 13 Jul 2019 20:48:26 +0200

libpcap (1.9.0-1) experimental; urgency=medium

  * New upstream release:
    + API additions: pcap_bufsize(), pcap_dump_ftell64(),
      pcap_get_required_select_timeout() and pcap_set_protocol_linux()
      (only on Linux).
    + Fixes issues with capture length for D-Bus (closes: #846241).
  * Cherry-pick commit dcda937d4715 from upstream Git to fix issues with
    VLAN filtering (closes: #909749).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 04 Nov 2018 18:18:37 +0100

## libpcap 1.9.1

=== debian/changelog ===
libpcap (1.9.1-3ubuntu1.20.04.1) focal; urgency=medium

  * Tcpdump utility captures incorrect packets on VLAN interface when using
    SLL2 (LP: #2076398)
    - d/p/lp2076398-linux-set-handlep-vlan_offset-if-the-linktype-is-cha.patch

 -- Chengen Du <chengen.du@canonical.com>  Fri, 09 Aug 2024 08:27:44 +0000

libpcap (1.9.1-3) unstable; urgency=medium

  * Drop debian/patches/bluez-build.diff (closes: #954181).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 23 Mar 2020 20:17:44 +0100

libpcap (1.9.1-2) unstable; urgency=medium

  * Fix FTBFS on Hurd.
  * Bump Standards-Version to 4.4.1.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 08 Oct 2019 13:37:31 +0200

libpcap (1.9.1-1) unstable; urgency=medium

  * New upstream release, fixes CVE-2018-16301 and CVE-2019-15165
    (closes: #941697).
  * Export new symbol `pcap_datalink_val_to_description_or_dlt'.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Oct 2019 17:54:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libpcap
 Section: devel
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: autotools-dev,
                bison,
                debhelper (>= 8.9.7),
@@ -9,7 +10,7 @@
                flex,
                libbluetooth-dev [linux-any],
                linux-libc-dev (>= 2.6.27) [i386]
-Standards-Version: 4.1.2
+Standards-Version: 4.4.0
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/libpcap
 Vcs-Git: https://salsa.debian.org/rfrancoise/libpcap.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS),linux)
export with_pcap=linux
endif
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
export with_pcap=bpf
endif
ifeq ($(DEB_HOST_ARCH_OS),hurd)
export with_pcap=hurd
endif

%:
	dh $@ --with autoreconf

override_dh_install-arch:
	dh_install --fail-missing
	# pcap-filter man page goes into libpcap0.8 (#527599)
	rm debian/libpcap0.8-dev/usr/share/man/man7/pcap-filter.7

override_dh_strip-arch:
	dh_strip --dbg-package=libpcap0.8-dbg

override_dh_makeshlibs-arch:
	dh_makeshlibs -- -c4
